Bug 227641 - evince can not print password protected pdfs
evince can not print password protected pdfs
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2007-02-07 04:59 EST by shrek-m
Modified: 2008-05-09 07:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description shrek-m 2007-02-07 04:59:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv: Gecko/20070131 Fedora/ Firefox/ pango-text

Description of problem:
evince-0.6.0-6.fc6 can not print password protected pdfs.
even if the password is stored for this session evince prints only "IB" in the left top corner.

xpdf-3.01-28.fc6 is ok:
1. open
2. enter the password
3. print = ok

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open a password protected pdf
2. store the password for this session
3. print

Actual Results:

in the left top corner, thats all.

Expected Results:
evince should print the content correctly as displayed and like xpdf.

Additional info:
$ pdfinfo -upw password passwordprotected.pdf 
Producer:       SkyPDF Pro Driver Version 1.77 Build ML0056.9
CreationDate:   Wed Feb  7 09:50:47 2007
ModDate:        Wed Feb  7 09:50:47 2007
Tagged:         no
Pages:          1
Encrypted:      yes (print:yes copy:yes change:yes addNotes:yes)
Page size:      595 x 842 pts (A4)
File size:      13690 bytes
Optimized:      no
PDF version:    1.4
Comment 1 Bug Zapper 2008-04-04 02:08:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:11:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 shrek-m 2008-05-09 07:29:11 EDT
it is ok with  evince-0.8.2-1.fc7

$ pdfinfo -upw password passwordprotectet.pdf 
Producer:       SkyPDF Pro Driver Version 2.52 Build ML32 0011.00
CreationDate:   Fri May  9 11:26:24 2008
ModDate:        Fri May  9 11:26:24 2008
Tagged:         no
Pages:          3
Encrypted:      yes (print:yes copy:yes change:yes addNotes:yes)
Page size:      841.8 x 595.2 pts (A4)
File size:      17076 bytes
Optimized:      no
PDF version:    1.4

Note You need to log in before you can comment on or make changes to this bug.